View Issue Details

IDProjectCategoryView StatusLast Update
0021099mantisbtuipublic2017-09-15 02:54
ReportervboctorAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version1.3.0-rc.2 
Target VersionFixed in Version 
Summary0021099: Support auto-complete when adding user to monitor list on an issue
Description

It would be helpful to add an auto-complete control to the modern UI for this scenario to help users auto-complete usernames for users they want to add to the monitor list.

Tagsmantishub

Relationships

related to 0021100 new Support auto-complete for @ mentions in modern UI 
related to 0012557 new Bug view page: add monitoring for user select from list 
related to 0017962 new Implement auto-complete for reporter field in bug_update_page 

Activities

cproensa

cproensa

2016-06-13 01:53

developer   ~0053350

actually, a "user" type input that can be reused on any part of the ui that requires selecting a user.

For example: also as a search field for manage user page

vboctor

vboctor

2016-06-13 02:02

manager   ~0053351

That is correct. There are several scenarios for this. I just captured once where the user is inputing in a dedicated field (add to monitor list) and the other case where user is typing as part of the a text field (@ mention case).

dregad

dregad

2016-06-13 06:25

developer   ~0053359

Autocomplete would be a great addition.

However, it needs to be designed globally, i.e. be reusable for and applied to any username-based fields, which would allow us to get rid of those ridiculously long selection lists for reporters.

libregeek

libregeek

2017-01-16 00:37

reporter   ~0055143

We developed a simple plugin which will convert the user monitoring input box into an autocomplete with multiple values.

https://github.com/ejyothi/MantisBT-AjaxUserMonitoring

This works with MantisBT-1.3 ( use master-1.3.x branch) and MantisBT-2.0 (master branch). Please let us know your feedback.

Xose

Xose

2017-07-05 12:44

reporter   ~0057183

Hi libregeek
And many thanks for that plugin, it is actually very good and i am so happy that someone made a plugin for it, because i found patches that just didn't work. So GREAT job,
One question i have though, how can i filter users based on the projects their are assigned to? You see i have private projects and obviously dont want users to see all users when typing in the monitor field.
Thank you in advance.

libregeek

libregeek

2017-07-06 05:49

reporter   ~0057186

@xose Currently, it is not possible to filter users based on project. In our scenario, all our users have access to all projects in the environment, so i didn't considered this aspect. May be we could consider it in future.

Xose

Xose

2017-07-06 06:16

reporter   ~0057188

@libregeek thank you very much for your reply and for your consideration.
One last question i have, which i can see the comment above, how can i apply your plugin globally for all the user related fields. i would really like to use it in the "Manage User" page, i have a lot of users and it is time consuming searching for their names, especially when i got users who dont use their names for usernames.

Thank you in advance and great work with the plugin.

libregeek

libregeek

2017-07-06 07:58

reporter   ~0057193

@xose: Currently it works only in the bug_view page. Could you please list out which pages you would like to have the plugin enabled? I can then take a look and let you know whether it's possible to fix it.

Xose

Xose

2017-07-12 06:57

reporter   ~0057208

Hi @libregeek,
I would like this functionality on the manage_user_page.php so that i can easily search for users.
Thank you very much

kabushka

kabushka

2017-09-12 06:08

reporter   ~0057697

https://github.com/ejyothi/MantisBT-AjaxUserMonitoring plugin doesn't work correctly for mantis 2.5.1, but I found a similar plugin: https://github.com/nenes25/mantisbt_autosuggest, which works properly.

Maybe it'll be helpful for somebody here.

dregad

dregad

2017-09-12 09:27

developer   ~0057700

https://github.com/ejyothi/MantisBT-AjaxUserMonitoring plugin doesn't work correctly for mantis 2.5.1

I have not tested this plugin myself, but are you using the correct version ? The author says in 0021099:0055143

This works with [...] MantisBT-2.0 (master branch). [...]

libregeek

libregeek

2017-09-15 02:10

reporter   ~0057716

@kabushka
We currently use the plugin in Mantis-2.5.1 and it works without any issues. Please confirm whether you are using the master branch from the github repository. Also note that the URL have changed (github automatically redirects if you use the old one): https://github.com/ejyothi/MantisBT-SuggestUsername

kabushka

kabushka

2017-09-15 02:54

reporter   ~0057718

@libregeek
I sure I use master branch and a new URL. But no result.
Plugin is installed, but username doesn't auto-complete.

It's not a problem, because I found another way. And it can be helpful for somebody else.



mantis_02.png (8,582 bytes)
mantis_02.png (8,582 bytes)
mantis_01.png (46,704 bytes)
mantis_01.png (46,704 bytes)

Issue History

Date Modified Username Field Change
2016-06-13 00:38 vboctor New Issue
2016-06-13 00:40 vboctor Severity minor => feature
2016-06-13 00:40 vboctor Reproducibility have not tried => N/A
2016-06-13 01:53 cproensa Note Added: 0053350
2016-06-13 02:02 vboctor Note Added: 0053351
2016-06-13 02:02 vboctor Relationship added related to 0021100
2016-06-13 06:25 dregad Note Added: 0053359
2016-06-13 06:26 dregad Relationship added related to 0012557
2016-06-13 06:28 dregad Relationship added related to 0017962
2016-07-29 06:35 vboctor Tag Attached: mantishub
2017-01-16 00:37 libregeek Note Added: 0055143
2017-07-05 12:44 Xose Note Added: 0057183
2017-07-06 05:49 libregeek Note Added: 0057186
2017-07-06 06:16 Xose Note Added: 0057188
2017-07-06 07:58 libregeek Note Added: 0057193
2017-07-12 06:57 Xose Note Added: 0057208
2017-09-12 06:08 kabushka Note Added: 0057697
2017-09-12 09:27 dregad Note Added: 0057700
2017-09-15 02:10 libregeek Note Added: 0057716
2017-09-15 02:54 kabushka File Added: mantis_01.png
2017-09-15 02:54 kabushka File Added: mantis_02.png
2017-09-15 02:54 kabushka Note Added: 0057718